--- old/usr/src/uts/sun4u/blade/Makefile.blade.shared	2013-12-14 21:35:01.537851257 -0500
+++ /dev/null	2013-12-14 21:35:01.000000000 -0500
@@ -1,122 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#	Global definitions for sun4u jbos-blade implementation specific modules.
-#
-
-#
-#	Define directories.
-#
-ROOT_BLADE_DIR		= $(ROOT_PLAT_DIR)/SUNW,Serverblade1
-ROOT_BLADE_MOD_DIR	= $(ROOT_BLADE_DIR)/kernel
-ROOT_BLADE_MISC_DIR_32	= $(ROOT_BLADE_DIR)/kernel/misc
-ROOT_BLADE_MISC_DIR_64	= $(ROOT_BLADE_MISC_DIR_32)/$(SUBDIR64)
-ROOT_BLADE_KERN_DIR_32 = $(ROOT_BLADE_MOD_DIR)
-ROOT_BLADE_KERN_DIR_64 = $(ROOT_BLADE_MOD_DIR)/$(SUBDIR64)
-ROOT_BLADE_DRV_DIR_32	= $(ROOT_BLADE_MOD_DIR)/drv
-ROOT_BLADE_DRV_DIR_64	= $(ROOT_BLADE_MOD_DIR)/drv/$(SUBDIR64)
-
-ROOT_BLADE_KERN_DIR	= $(ROOT_BLADE_KERN_DIR_$(CLASS))
-ROOT_BLADE_DRV_DIR	= $(ROOT_BLADE_DRV_DIR_$(CLASS))
-ROOT_BLADE_MISC_DIR	= $(ROOT_BLADE_MISC_DIR_$(CLASS))
-
-ROOT_PLAT_MOD_DIRS      += $(ROOT_BLADE_MOD_DIR)
-ROOT_PLAT_MISC_DIRS     += $(ROOT_BLADE_MISC_DIR)
-
-
-USR_SUN4U_PLAT_DIR	= $(USR_PLAT_DIR)/sun4u
-USR_BLADE_DIR		= $(USR_PLAT_DIR)/SUNW,Serverblade1
-USR_BLADE_INC_DIR	= $(USR_BLADE_DIR)/include
-USR_BLADE_ISYS_DIR	= $(USR_BLADE_INC_DIR)/sys
-USR_BLADE_SBIN_DIR	= $(USR_BLADE_DIR)/sbin
-USR_BLADE_LIB_DIR	= $(USR_BLADE_DIR)/lib
-
-
-BLADE_LINT_LIB_DIR= $(UTSBASE)/$(PLATFORM)/blade/lint-libs/$(OBJS_DIR)
-
-
-#	Define Objects
-#
-BLADE_OBJS     = blade.o
-
-#
-#	Option conf file
-BLADE_OPTION	= options
-
-#
-#	Include the makefiles which define build rule templates, the
-#	collection of files per module, and a few specific flags. Note
-#	that order is significant, just as with an include path. The
-#	first build rule template which matches the files name will be
-#	used. By including these in order from most machine dependent
-#	to most machine independent, we allow a machine dependent file
-#	to be used in preference over a machine independent version
-#	(Such as a machine specific optimization, which preserves the
-#	interfaces.)
-#
-
-include $(UTSTREE)/sun4u/blade/Makefile.files
-
-#
-#	Include common rules.
-#
-include $(UTSTREE)/sun4u/Makefile.sun4u
-
-#
-#	Define modules (must come after Makefile.sun4u).
-#
-BLADE_KMODS		= platmod
-BLADE_KMODS		+= bscbus
-BLADE_KMODS		+= bscv
-
-LINTS_DIR	= $(OBJS_DIR)
-LINT_LIB_DIR	= $(UTSBASE)/$(PLATFORM)/blade/lint-libs/$(OBJS_DIR)
-LINT_LIB= $(UTSBASE)/$(PLATFORM)/lint-libs/$(OBJS_DIR)/llib-lunix.ln
-GEN_LINT_LIB= $(UTSBASE)/$(PLATFORM)/lint-libs/$(OBJS_DIR)/llib-lgenunix.ln
-
-
-#
-#	Define the actual specific platforms
-#
-MACHINE_DEFS	+= -D$(PLATFORM) -D_MACHDEP -DSFMMU
-
-#
-#	Define for inline pre-processing since
-#	cpp not smart about v9 yet.
-#
-#CPP_DEFS_32	=
-#CPP_DEFS_64	= -D__sparcv9
-#CPP_DEFS	= $(CPP_DEFS_$(CLASS))
-
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-# Please do not carry these forward to new Makefiles.
-#
-LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
-LINTTAGS	+= -erroff=E_STATIC_UNUSED
-LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
-LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
